# Copyright 2012 The Fatiando a Terra Development Team
#
# This file is part of Fatiando a Terra.
#
# Fatiando a Terra is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Fatiando a Terra is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with Fatiando a Terra.  If not, see <http://www.gnu.org/licenses/>.
"""
Provides modules for user interface (UI). From command line interfaces, to
simple map picking, to full graphical user interfaces (GUI).

**Map picking**

* :mod:`fatiando.ui.picker`

Click on matplotlib plots to extract the coordinates of points into your script,
draw polygons, lines, etc.

**GUIs**

* :mod:`fatiando.ui.gui`

Classes for various GUI interfaces for different ``fatiando`` modules. 

----
   
"""
__author__ = 'Leonardo Uieda (leouieda@gmail.com)'
__date__ = 'Created 01-Feb-2012'

from fatiando.ui import picker, gui

